به بخش پرسش و پاسخ یادگیری عمیق خوش آمدید,
این نسخه آزمایشی سایت است.
لطفا به نکات زیر توجه کنید:
  • برای ارتباط با مدیران میتوانید از صفحه مدیران اقدام کنید.
  • سوال و جواب ها باید به زبان فارسی باشند. استفاده از زبان انگلیسی یا فینگلیش برای پاسخ دادن مجاز نیست.
  • لطفا بعد از پرسش سوال لینک سوال خود را در گرو تلگرام (Iran Deep Learning Group) معرفی کنید تا سریعتر به جواب برسید. برای دسترسی به آخرین لینک از منابع یادگیری استفاده کنید
  • لطفا بجای عکس از متن استفاده کنید. اگر متون طولانی هستند از سایت pastebin.com برای اپلود استفاده کرده و لینک حاصل را در سوال خود قرار دهید. برای قرار دادن تصویر ، از بخش ارسال تصویر ادیتور سایت استفاده کنید.
  • بعد از دریافت پاسخ، بهترین پاسخ را از طریق کلیک بر روی علامت تیک انتخاب کنید
  • اگر با خطا و یا مشکلی مواجه شدید از بخش تماس با ما در انتهای صفحه و یا ایمیل Coderx7@gmail.com موضوع را اطلاع دهید.

با تشکر

+1 امتیاز

با سلام
در هنگام کامپایل caffe به خطای زیر بر میخورم:

 C:\Projects\NugetPackages\glog.0.3.3.0\build\native\glog.targets(329,5):
 error : NuGet Error:Unknown command: 'overlay'

لازم به ذکر است که از ویژوال استودیو ۲۰۱۳ استفاده کرده ام. لطفا راهنمایی کنید.

ممنون

سوال شده توسط (131 امتیاز)
برچسب گذاری دوباره توسط

2 پاسخ

+2 امتیاز
 
بهترین پاسخ

ویژوال استودیو ۲۰۱۳ از آپدیت ۵ به گونه ای تغییر کرده که با ورژن موجود caffe سازگار نیست. برای حل این مشکل باید از ویژوال استودیو ۲۰۱۳ ابتدایی و یا تا آپدیت ۴ استفاده کرد. به این صورت خطاهای فوق برطرف می‌شود. از آنجایی که خطا های فوق از طرف ناگت بوجود می‌آید شاید با تغییر ناگت به ورژن های پایین تر هم مشکل حل شود.

پاسخ داده شده توسط (131 امتیاز)
2015 هم دقیقا همین مشکل را داره!
0 امتیاز

این مشکل بنظر میاد تو آخرین تغییرات برنچ ویندوز بوجود اومده باشه و من ندیدم کسی جواب بده (فکر میکنم شاید بخاطر ورژن جدید nuget باشه!)
بنظرم میتونید دوتا کار کنید:
1.از این ورژن که مربوط به چند ماه قبل هست استفاده کنید(برنچ من از caffe هست .مثالها برای ویندوز اکی شدن و قابل اجرا هستن) ببینید باز این مشکل رو دارید یا نه . اگه نه مشخص میشه مشکل مربوط به اخرین تغغیرات برنچ ویندوز هست و اختصاصی مربوط به نوگت!
2.از این ورژن استفاده کنید و با Cmake عمل کامپایل رو انجام بدید

پاسخ داده شده توسط (4.3k امتیاز)
سلام .خواهش میکنم . بله شما هم بر اساس پکیج های پیشفرض پیش برید تا به مشکلی بر نخورید
برای cmake میتونید به این لینک یه نگاهی بندازید : https://cmake.org/runningcmake/
بالاخره موفق به کامپایل caffe شدم. لازم دانستم تجربه ام را برای استفاده ي دیگران در اینجا ارائه کنم. مشکل از ویژوال استودیو بود. به نظر میرسد ویژوال استودیو ۲۰۱۳ پس از چند آپدیت تغییراتی کرده که با پکیج های مرتبط با caffe سازگاری ندارد. من از آپدیت ۵ استفاده کرده بودم و در رابطه با opencv  و glog  با ارور مواجه می‌شدم. اما با نصب ویژوال استودیو ۲۰۱۳ اولیه (بدون هیچ آپدیت) مشکل برطرف شد.
خدا رو شکر که مشکلتون حل شد.ویژوال استودیو 2013 اپدیت 4 هیچ مشکلی نداره چون من خودم تست کردم. لطف کنید روشی که باعث برطرف کردن مشکلتون شده رو در غالب یک جواب ارسال کنید و بعد اونو بعنوان جواب صحیح انتخاب کنید که برای بقیه براحتی قابل استفاده باشه.
...